Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Projeto não compila - error in loading.interceptor.ts

ERROR in src/app/shared/components/loading/loading.interceptor.ts(27,13): error TS2322: Type 'Observable<{} | HttpProgressEvent | HttpSentEvent | HttpHeaderResponse | HttpResponse | Http...' is not assignable to type 'Observable<HttpEvent>'. Type '{} | HttpProgressEvent | HttpSentEvent | HttpHeaderResponse | HttpResponse | HttpUserEvent<a...' is not assignable to type 'HttpEvent'. Type '{}' is not assignable to type 'HttpEvent'. Type '{}' is not assignable to type 'HttpUserEvent'. Property 'type' is missing in type '{}'.

3 respostas

Boa noite, Thiago! Como vai?

Vc poderia compartilhar o seu projeto no github e mandar o link aqui? Assim eu poderei dar uma olhada pra tentar te ajudar!

Qualquer coisa é só falar!

Grande abraço e bons estudos, meu aluno!

Prezado Gabriel, boa tarde!

Para efeito de testes deletei meu projeto e baixei o do curso. (28-alurapic.zip).

Descompactei-o e rodei npm install.

Após conclusão com sucesso aparece novamente o mesmo erro.

Podem ser algum problema das versões que estou utilizando?

thihfernandes@PRDFP00089468:~/Angular/alurapic$ node -v
v8.10.0
thihfernandes@PRDFP00089468:~/Angular/alurapic$ ng -v

     _                      _                 ____ _     ___
    / \   _ __   __ _ _   _| | __ _ _ __     / ___| |   |_ _|
   / △ \ | '_ \ / _` | | | | |/ _` | '__|   | |   | |    | |
  / ___ \| | | | (_| | |_| | | (_| | |      | |___| |___ | |
 /_/   \_\_| |_|\__, |\__,_|_|\__,_|_|       \____|_____|___|
                |___/


Angular CLI: 6.0.8
Node: 8.10.0
OS: linux x64
Angular: 6.1.10
... animations, common, compiler, compiler-cli, core, forms
... http, language-service, platform-browser
... platform-browser-dynamic, router

Package                           Version
-----------------------------------------------------------
@angular-devkit/architect         0.6.8
@angular-devkit/build-angular     0.6.8
@angular-devkit/build-optimizer   0.6.8
@angular-devkit/core              0.6.8
@angular-devkit/schematics        0.6.8
@angular/cli                      6.0.8
@ngtools/webpack                  6.0.8
@schematics/angular               0.6.8
@schematics/update                0.6.8
rxjs                              6.0.0
typescript                        2.7.2
webpack                           4.8.3

Opa, Thiago! Pode ser que o problema seja a versão de alguma coisa sim!

Vc poderia compartilhar o seu projeto no github e mandar o link aqui? Assim eu poderei dar uma olhada mais a fundo pra tentar te ajudar!

Qualquer coisa é só falar!

Grande abraço e bons estudos, meu aluno!